import * as React from 'react';
import { Tabs } from '../../components/Tabs';
import { TagValueOptionsTags, TagValueSelector } from '../Components/TagValueSelector';
import { useOnePageAdaptableWizardContext } from './OnePageAdaptableWizard';
export const ObjectTagsWizardSection = (props) => {
    const { onChange } = props;
    const { data } = useOnePageAdaptableWizardContext();
    return (React.createElement(Tabs, { className: "twa:h-full" },
        React.createElement(Tabs.Tab, null, "Tags"),
        React.createElement(Tabs.Content, null,
            React.createElement(TagValueSelector, { selectedTags: data.Tags, onChange: (selectedTags) => onChange({ ...data, Tags: selectedTags }) }))));
};
export const renderObjectTagsSummary = (data) => {
    return data.Tags?.length ? React.createElement(TagValueOptionsTags, { tags: data.Tags }) : null;
};
